PDA

View Full Version : "Could not open the pipe" with SDK Tools 1.2.3



TigrouMeow
6 Oct 2011, 8:50 PM
Hello,

I'm using Windows Server 2008 R2 64.

C:\eApplications\app>sencha build -p app.jsb3 -d ./ -v


Loading the eMaster Project
Loaded 0 Packages
Loaded 1 Builds


Creating the "app" target as "classes.js"
- 4 file(s) included in this target.
+ MVC-JS\controller\Coordinator.js
+ MVC-JS\model\FundManager.js
+ MVC-JS\store\FundManagers.js
+ MVC-JS\view\Footer.js
* Parse classes.js with options:
- debug: false
- debugLevel: 1
* Compress and obfuscate classes.js...
Stream:"Could not open the pipe" (exec://java -jar "C:\Program Files (x86)\Sench
aSDKTools-1.2.3\jsbuilder\ycompressor\ycompressor.jar" --type js -o "C:\eApplica
tions\app\classes.js" "C:\eApplications\app\classes.js-temp-372805585497
.523")

What is the cause of that issue? I saw people having the same error in the past, the discussion has been archived and since that it's a new version of the SDK Tools...

Thanks.

TigrouMeow
10 Oct 2011, 5:25 PM
Mmm... an alternative question would be to ask: when are we going to have a Sencha Tools SDK which actually work with Windows (it seems many people have many issues, of different types)? And maybe with a clearer documentation about it, it's rather annoying to look for piece of information there and there all the time.

rolfdaddy
29 Feb 2012, 1:07 PM
If you're on Windows 64-bit that will cause this error. See this link: http://blog.techferry.com/2012/01/13/ext-js-deployment-sencha-sdk-tools-correct-usage/#Stream:-Could-not-open-the-pipe-exec:-java-jar

Sencha people - can you update the Windows SDK Tools release notes to clarify that 32-bit Java is required? In fact, having Release Notes at all, either packaged or linked online somewhere, would be helpful to avoid any confusion.